summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2017-04-19 11:01:35 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-22 08:10:45 +0700
commit30bc07bbf06b29cc0d5e0fc08928ab4851bdd3d1 (patch)
tree6772be2aeed7dc4cf26c2651cd4db62843b534ee
parent6f98f7666ddc0cd43ac48d3794d6bc820f8d613e (diff)
downloadslackbuilds-30bc07bbf06b29cc0d5e0fc08928ab4851bdd3d1.tar.gz
slackbuilds-30bc07bbf06b29cc0d5e0fc08928ab4851bdd3d1.tar.xz
academic/megacc: Added (Molecular Evolutionary Genetics Analysis).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--academic/megacc/README37
-rw-r--r--academic/megacc/References25
-rw-r--r--academic/megacc/doinst.sh3
-rw-r--r--academic/megacc/megacc.SlackBuild100
-rw-r--r--academic/megacc/megacc.info10
-rw-r--r--academic/megacc/megaproto.desktop8
-rw-r--r--academic/megacc/megaproto.pngbin0 -> 1470 bytes
-rw-r--r--academic/megacc/slack-desc19
8 files changed, 202 insertions, 0 deletions
diff --git a/academic/megacc/README b/academic/megacc/README
new file mode 100644
index 0000000000..ccb0a7bdf6
--- /dev/null
+++ b/academic/megacc/README
@@ -0,0 +1,37 @@
+MEGA: Molecular Evolutionary Genetics Analysis
+
+Sophisticated and user-friendly software suite for analyzing DNA and
+protein sequence data from species and populations.
+
+MEGA-CC is the command-line version of MEGA that implements its core
+analysis functions and is useful for iterative and automated execution.
+There are two executables: megacc and megaproto. Start with megaproto
+which is used to create a MEGA Analysis Options (.mao) file that
+specifies the analysis to run as well as relevant options. Then you call
+megacc from a command shell and pass the .mao filename and input data
+filenames as parameters. For example:
+
+megacc -a myMaoFile.mao -d mySequenceAlignment.fas -o myOutput
+
+To get started, checkout MEGA7-CC-User-Manual.pdf, found in the
+documentation folder of the installed package.
+
+This SlackBuild just repackages the binaries provided from upstream.
+There are no 32bit executables.
+
+
+NOTE! IMPORTANT!
+
+MEGA-CC is not free software. Your use of MEGA-CC is subject to the
+licence agreement at:
+
+ http://www.megasoftware.net/show_eua
+
+SlackBuilds.org thanks Prof. Kumar for permission to use the direct
+download URL.
+
+
+Citing:
+
+MEGA7: Molecular Evolutionary Genetics Analysis version 7.0 for bigger
+datasets (Kumar, Stecher, and Tamura 2015).
diff --git a/academic/megacc/References b/academic/megacc/References
new file mode 100644
index 0000000000..c05107d41d
--- /dev/null
+++ b/academic/megacc/References
@@ -0,0 +1,25 @@
+http://www.megasoftware.net/citations
+
+MEGA7: Molecular Evolutionary Genetics Analysis version 7.0 for bigger
+datasets
+Kumar S, Stecher G, and Tamura K (2016)
+Molecular Biology and Evolution 33:1870-1874
+
+MEGA6: Molecular Evolutionary Genetics Analysis Version 6.0
+Tamura K, Stecher G, Peterson D, Filipski A, and Kumar S (2013)
+Molecular Biology and Evolution 30:2725-2729
+
+MEGA-CC: Computing Core of Molecular Evolutionary Genetics Analysis
+Program for Automated and Iterative Data Analysis
+Kumar S, Stecher G, Peterson D, and Tamura K (2012)
+Bioinformatics 28:2685-2686
+
+MEGA5: Molecular Evolutionary Genetic Analysis using Maximum Likelihood,
+Evolutionary Distance, and Maximum Parsimony Methods
+Tamura K, Peterson D, Peterson N, Stecher G, Nei M, and Kumar S (2011)
+Molecular Biology and Evolution 28:2731-2739
+
+MEGA4: Molecular Evolutionary Genetics Analysis (MEGA) software version
+4.0
+Tamura K, Dudley J, Nei M and Kumar S (2007)
+Molecular Biology and Evolution 24:1596-1599
diff --git a/academic/megacc/doinst.sh b/academic/megacc/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/megacc/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/megacc/megacc.SlackBuild b/academic/megacc/megacc.SlackBuild
new file mode 100644
index 0000000000..a9e90674bf
--- /dev/null
+++ b/academic/megacc/megacc.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for megacc
+
+# Copyright 2017 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=megacc
+VERSION=${VERSION:-7.0.25_1}
+TARVER=7.0.25-1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+# Stop if processor architecture is not supported
+if [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-${TARVER}.${ARCH}.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install the two binaries
+install -D -m755 $PRGNAM $PKG/usr/bin/$PRGNAM
+install -D -m755 megaproto $PKG/usr/bin/megaproto
+
+# Place the man page in its proper location
+install -D -m644 $PRGNAM.1 $PKG/usr/man/man1/$PRGNAM.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Include examples
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a Examples/* $PKG/usr/share/$PRGNAM
+
+# Menu entry for Megaproto
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/megaproto.desktop $PKG/usr/share/applications
+cp $CWD/megaproto.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Mega7.chm MEGA7-CC-User-Manual.pdf readme.txt usageAgreement.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/megacc/megacc.info b/academic/megacc/megacc.info
new file mode 100644
index 0000000000..8c5bd01d90
--- /dev/null
+++ b/academic/megacc/megacc.info
@@ -0,0 +1,10 @@
+PRGNAM="megacc"
+VERSION="7.0.25_1"
+HOMEPAGE="http://www.megasoftware.net/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://www.megasoftware.net/releases/megacc-7.0.25-1.x86_64.tar.gz"
+MD5SUM_x86_64="42cff0d3c1e0dbf664c8dc75d17fa39e"
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/megacc/megaproto.desktop b/academic/megacc/megaproto.desktop
new file mode 100644
index 0000000000..4ef7569ee1
--- /dev/null
+++ b/academic/megacc/megaproto.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Categories=Education;
+Comment=Molecular evolutionary genetics analysis
+Exec=megaproto
+Icon=megaproto
+Name=MEGA Proto
+StartupNotify=false
+Type=Application
diff --git a/academic/megacc/megaproto.png b/academic/megacc/megaproto.png
new file mode 100644
index 0000000000..92fec00c7b
--- /dev/null
+++ b/academic/megacc/megaproto.png
Binary files differ
diff --git a/academic/megacc/slack-desc b/academic/megacc/slack-desc
new file mode 100644
index 0000000000..03b416b6fc
--- /dev/null
+++ b/academic/megacc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+megacc: megacc (Molecular Evolutionary Genetics Analysis)
+megacc:
+megacc: Sophisticated and user-friendly software suite for analyzing DNA
+megacc: and protein sequence data from species and populations.
+megacc:
+megacc: Home: http://www.megasoftware.net/
+megacc: Citations: http://www.megasoftware.net/citations
+megacc:
+megacc:
+megacc:
+megacc: